> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deposit Mobile Money Status

> An integrator can use this endpoint to check the status of a deposit

An integrator can use this endpoint to check the status of a mobile money deposit transaction.


## OpenAPI

````yaml GET /api/v3/deposit/mobile-money/status/{reference_id}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/deposit/mobile-money/status/{reference_id}:
    get:
      tags:
        - MOBILE MONEY DEPOSIT
      summary: Get Deposit on Mobile Money status
      description: An integrator can use this endpoint to check the status of a deposit
      operationId: DepositMobileMoneyController_getWithdrawalStatus_api/v3
      parameters:
        - name: reference_id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Deposit status retrieved.
                  data:
                    $ref: '#/components/schemas/DepositStatusResponseDto'
                    type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Bad Request
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Not Found
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    DepositStatusResponseDto:
      type: object
      properties:
        id:
          type: string
          description: deposit id
          example: 5f9b2c7b9c9d6b0017b4e6b1
        amount:
          type: number
          description: amount to deposit
          example: 10
        wallet_id:
          type: string
          description: deposit id
          example: 5f9b2c7b9c9d6b0017b4e6b1
        callback_url:
          type: string
          description: callback url
          example: https://example.com
        customer_redirect_url:
          type: string
          description: customer redirect url
          example: https://example.com/success
        reference_id:
          type: string
          description: reference id
          example: 5f9b2c7b9c9d6b0017b4e6b1
        currency:
          type: string
          description: >-
            Override transaction currency (e.g. USD for USD mobile money in
            Congo/Zambia). When provided and matches the wallet currency,
            phone-country currency validation is skipped.
          example: USD
        provider:
          type: string
        providerReference:
          type: string
        providerRequest:
          type: string
        providerResponse:
          type: string
        callbackUrlStatus:
          type: number
        callbackResponse:
          type: string
        callbackPayload:
          type: object
        transactionError:
          type: string
        retries:
          type: number
        network:
          type: string
        environment:
          type: string
        integratorsAmount:
          type: number
        wallet:
          type: object
        customer:
          type: object
        paymentLinkTransaction:
          type: object
        updatedAt:
          type: string
        status:
          allOf:
            - $ref: '#/components/schemas/DEPOSIT_STATUS'
        confirmation_id:
          type: string
        reference_number:
          type: number
        created_at:
          format: date-time
          type: string
        transaction_cost:
          type: number
        transaction_amount:
          type: number
        customer_key:
          type: string
        threeDSEci:
          type: string
        uniqueIdentifier:
          type: string
        initialDepositBalance:
          type: number
        finalDepositBalance:
          type: number
        error_message:
          type: string
        error_code:
          type: string
        error_description:
          type: string
        telco_id:
          type: string
          description: >-
            Telco/MNO transaction ID from the mobile money provider (e.g. Mpesa
            transaction code)
      required:
        - id
        - amount
        - wallet_id
        - status
        - reference_number
        - created_at
        - transaction_cost
        - transaction_amount
        - customer_key
    DEPOSIT_STATUS:
      type: string
      enum:
        - PENDING
        - INITIATED
        - SUCCESSFUL
        - FAILED
        - EXPIRED
        - CANCELLED
        - DECLINED
        - REVERSED
        - IN_PROGRESS
        - DUPLICATE
        - ERROR_OCCURRED
        - REQUIRE_REVIEW
        - SUCCESS
        - RETRY
        - PERMANENTLY_FAILED
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````